%define name	ntfs-config
%define version	1.0.1
%define release	%mkrel	8


Summary:	Enable/disable write support for internal and/or external NTFS device via a friendly gui
Name:		%{name}
Version:	%{version}
Release:	%{release}
License: 	GPL
Group:  	Graphical desktop/GNOME
Source0:	%{name}-%{version}.tar.xz
Patch0:		ntfs-config-1.0.1-python2.6.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
URL:		http://flomertens.free.fr/ntfs-config/
BuildRequires:  gtk2-devel
BuildRequires:  libglade2.0-devel
BuildRequires:  hal-devel
BuildRequires:  desktop-file-utils
BuildRequires:  perl-XML-Parser
BuildRequires:	python-devel
BuildRequires:	pygtk2.0-devel
Requires:	ntfs-3g
Requires:	hal
Requires:	usermode
Requires:	pygtk2.0-libglade
Requires:	python >= 2.7

%description
This program will allow you to easily configure all of your NTFS devices to allow write support.
For that use, it will configure them to use the ntfs-3g
driver. You'll also be able to easily disable this feature.

For more information about ntfs-3g : http://www.ntfs-3g.org

%prep
%setup -q
%patch0 -p0

%build
#fix semicolon thingie in desktop file
sed -e 's|Settings|Settings;|g' -i data/ntfs-config.desktop.in.in
sed -e 's|gnome-dev-harddisk|hardware_configuration_section.png|g' -i data/ntfs-config.desktop.in.in

autoconf
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%find_lang %{name} --with-gnome

# we provide our own consolehelper file
rm -rf $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/ntfs-config-root
cat > $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/ntfs-config-root <<EOF
#%PAM-1.0
auth       sufficient   pam_rootok.so
auth       required     pam_console.so
auth       include      system-auth
account    required     pam_permit.so
session    optional     pam_xauth.so
EOF

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Configuration-Hardware" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

#Fix missing consolehelper link
ln -sf consolehelper $RPM_BUILD_ROOT%{_bindir}/%{name}-root

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%config(noreplace) %_sysconfdir/pam.d/ntfs-config-root
%config(noreplace) %_sysconfdir/security/console.apps/ntfs-config-root
%{_bindir}/%{name}
%{_bindir}/%{name}-root
%_sbindir/%{name}-root
%{_datadir}/applications/*.desktop
%{_mandir}/man8/*
%{_datadir}/%{name}/*
%py_platsitedir/NtfsConfig


%changelog
* Thu Dec 30 2021 pp 1.0.1-8pclos2021
- add hal dependency

* Fri Aug 16 2013 billybot <billybot> 1.0.1-7pclos2013
- update python 2.7

* Sat Sep 11 2010 Texstar <texstar at gmail.com> 1.0.1-6pclos2010
- Update

* Thu Mar 04 2010 Texstar <texstar at gmail.com> 1.0.1-5pclos2010
- rebuild for 2010 release
- fix icon in menu

